/*
   base/planet.h
   This file is part of the Osirion project and is distributed under 
   the terms and conditions of the GNU General Public License version 2 
*/

#ifndef __INCLUDED_BASE_PLANET_H__
#define __INCLUDED_BASE_PLANET_H__

#include "base/shipdealer.h"
#include "core/entity.h"
#include "math/mathlib.h"

#include <string>

namespace game {

/// a planet
class Planet : public core::EntityGlobe {
public:
	Planet();
	virtual ~Planet();

	inline ShipDealer *shipdealer() { return planet_shipdealer; }

	void set_shipdealer(ShipDealer *shipdealer);

	/// entity received a docking request
	virtual void dock(core::Entity *entity);

private:
	ShipDealer		*planet_shipdealer;

};

}

#endif // __INCLUDED_BASE_PLANET_H__

