/*
   intro/intro.h
   This file is part of the Osirion project and is distributed under 
   the terms of the GNU General Public License version 2 
*/

#ifndef __INCLUDED_INTRO_H__
#define __INCLUDED_INTRO_H__

#include "core/module.h"
#include "core/player.h"
#include "core/cvar.h"
#include "core/entity.h"
#include "core/func.h"
#include "intro/convoy.h"

/// introduction game module
namespace intro
{

/// introduction game module
class Intro : public core::Module
{
public:
	/// create an introduction game module
	Intro();
	/// delete an introduction game module
	virtual ~Intro();

	/// run one frame
	virtual void frame(float seconds);

	/// is called when a player connects
	virtual void player_connect(core::Player *player);

	/// is called when a player disconnects
	virtual void player_disconnect(core::Player *player);
private:
	bool load_world();

	/* ---- engine functions ----------------------------------- */

	static void func_intro(core::Player *player, std::string const &args);
};

/// factory function
core::Module *factory();

}

#endif // __INCLUDED_INTRO_H__

